QwtLegendButton(3)

NAME
QwtLegendButton -

SYNOPSIS

Inherits QwtPushButton, and QwtLegendItem.

Detailed Description

A legend button. QwtLegendButton represents a curve on a legend. It displays an curve identifier with an explaining text. The identifier might be a combination of curve symbol and line.

See also:
    QwtLegend, QwtCurve

Definition at line 99 of file qwt_legend.h.

  Public Member Functions
QwtLegendButton (QWidget *parent=0, const char *name=0)
QwtLegendButton (const QwtSymbol &, const QPen &, const QString &, QWidget *parent=0, const char *name=0)
virtual void setTitle (const QString &)
virtual QString title () const

  Protected Member Functions
virtual QwtText * titleText () const
virtual void updateItem ()
virtual void updateIconset ()

Constructor & Destructor Documentation

  QwtLegendButton::QwtLegendButton (QWidget * parent = 0, const char * name = 0)

Parameters:
    parent Parent widget
    name Widget name

Definition at line 216 of file qwt_legend.cpp.

  QwtLegendButton::QwtLegendButton (const QwtSymbol & symbol, const QPen & curvePen, const QString & text, QWidget * parent = 0, const char * name = 0)

Parameters:
    symbol Curve symbol
    curvePen Curve pen
    text Button text
    parent Parent widget
    name Widget name

Definition at line 229 of file qwt_legend.cpp.

Member Function Documentation

  void QwtLegendButton::setTitle (const QString & title) [virtual]

Set the title of the button

Parameters:
    title New title

See also:
    QwtLegendButton::title

Implements QwtLegendItem.

Definition at line 277 of file qwt_legend.cpp.

  QString QwtLegendButton::title () const [virtual]

Returns:
    The button title

See also:
    QwtLegendButton::setTitle.

Implements QwtLegendItem.

Definition at line 286 of file qwt_legend.cpp.

  QwtText * QwtLegendButton::titleText () const [protected, virtual]

Returns:
    The item title

See also:
    QwtLegendButton::setTitle.

Implements QwtLegendItem.

Definition at line 295 of file qwt_legend.cpp.

References QwtPushButton::alignment(), QwtText::makeText(), and QwtPushButton::usedTextFormat().

  void QwtLegendButton::updateIconset () [protected, virtual]

Update the iconset according to the current identifier properties Definition at line 255 of file qwt_legend.cpp.

References QwtLegendItem::drawIdentifier().

Referenced by updateItem().

  void QwtLegendButton::updateItem () [protected, virtual]

Update the item.

Reimplemented from QwtLegendItem.

Definition at line 247 of file qwt_legend.cpp.

References updateIconset().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.